> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 動画コンテンツの取得

> 完了した動画タスクの動画ファイルの内容を取得します。

このインターフェースは、動画ファイルストリームをプロキシ経由で返します。



## OpenAPI

````yaml api-reference/ja/openapi.json GET /v1/videos/{task_id}/content
openapi: 3.0.0
info:
  title: 出海营 API 参考ドキュメント
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI形式(Chat)
  - name: OpenAI形式（Responses）
  - name: 画像生成Gemini形式
  - name: 画像生成OpenAI DALL-E形式
  - name: モデル一覧の取得
  - name: 動画生成HappyHorseとWan
  - name: 動画生成Kling形式
  - name: 動画生成OmniとVeo形式
  - name: Video generation Seedance
  - name: 動画生成Sora対応形式
  - name: Video generation Vidu
  - name: 音楽生成タスクの形式
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - 動画生成Sora対応形式
      summary: 動画コンテンツの取得
      description: |-
        完了した動画タスクの動画ファイルの内容を取得します。

        このインターフェースは、動画ファイルストリームをプロキシ経由で返します。
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: ビデオタスク ID
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: 動画コンテンツの取得に成功しました
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: ビデオが存在しないか、または生成が完了していません。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: エラーメッセージ
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ
              nullable: true
            code:
              type: string
              description: エラーコード
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Bearer Token を使用して認証します。
        形式: `Authorization: Bearer sk-xxxxxx`

````